export const list=[
  {
    prop:"seller",
    label:"销售方",
    minWidth:"120",
    fixed:'left',
    input:'true',
    seller:'',
  },
  {
    prop:"buyer",
    label:"购买方",
    minWidth:"120",
    fixed:'left',
    input:'true',
    buyer:'',
  },
  {
    prop:"projectNo",
    label:"项目编码",
    minWidth:"120",
    input:'true',
    projectNo:'',
  },
  {
    prop:"projectName",
    label:"项目名称",
    minWidth:"120",
    input:'true',
    projectName:'',
  },
  {
    prop:"costType",
    label:"费用类型",
    minWidth:"120",
    input:'true',
    costType:'',
  },
  {
    prop:"taxAmount",
    label:"金额(含税)",
    minWidth:"120",
    input:'true',
    taxAmount:'',
  },
  {
    prop:"taxRate",
    label:"税率",
    minWidth:"120",
    input:'true',
    taxRate:'',
  },
  {
    prop:"taker",
    label:"收票人(业务人员)",
    minWidth:"120",
    input:'true',
    taker:'',
  },
  {
    prop:"takerUnit",
    label:"收票人单位(部门)",
    minWidth:"120",
    input:'true',
    takerUnit:'',
  },
  {
    prop:"telephone",
    label:"联系电话",
    minWidth:"120",
    input:'true',
    telephone:'',
  },
]

export const rules= {
  seller: [
    {required: true, message: '请输入销售方', trigger: 'blur'},
  ],
  buyer: [
    {required: true, message: '请输入购买方', trigger: 'blur'}
  ],
  projectNo: [
    { required: true, message: '请输入项目编码', trigger: 'blur'}
  ],
  projectName: [
    { required: true, message: '请输入项目名称', trigger: 'blur'}
  ],
  costType: [
    { required: true, message: '请输入费用类型', trigger: 'blur'}
  ],
  taxAmount: [
    { required: true, message: '请输入金额', trigger: 'blur'}
  ],
  taxRate: [
    { required: true, message: '请输入税率', trigger: 'blur'}
  ],
  taker: [
    { required: true, message: '请输入收票人(业务人员)', trigger: 'blur'}
  ],
  takerUnit: [
    { required: true, message: '收票人单位(部门)', trigger: 'blur'}
  ],
  telephone: [
    { required: true, message: '联系电话', trigger: 'blur'}
  ],
}
